
;/* $Module Title:	AnimDefs.i
  *  
  * $Author(s):		Trevor Mensah, Copyright  1996. All Rights Reserved.
  * $Language:		MC680x0 Assembly
  *
  * $Description:	Animation definitions - Defines the individual level
  *			Blitter Object Sprite animation frame ordering.
  *
  * 			$Data		$Description	
  *			
  * $Data:		<< ALL ANIMATIONS >>
  */
		incdir	Enigma:Graphics/anims/

	IFND	ScrPixelWidth
ScrPixelWidth	=	704			* playfield pixel width
Skip		=	16			* blit skip bytes (dont change)
ScrByteWidth	=	ScrPixelWidth/8		* playfield byte width
	ENDIF

AnimTable:	dc.l	Explode64x64			* 00: 64x64 explosion
		dc.l	Explode64x37			* 01: 64x37 explosion
		dc.l	Explode64x21			* 02: 64x21 explosion
		dc.l	Explode32x27			* 03: 32x27 explosion
		dc.l	Explode32x16			* 04: 32x16 explosion
		dc.l	Token				* 05: Token anim

		dc.l	Weapon1				* 06:
		dc.l	Weapon2				* 07:
		dc.l	Weapon3				* 08:
		dc.l	Bullet				* 09:

		dc.l	Aero				* 10:
		dc.l	Aero				* 11:
		dc.l	Aero				* 12:
		dc.l	Aero				* 13:
		dc.l	0
	
Explode64x37:	dc.w	64,37,4-1			* width,height,depth
		dc.w	ScrByteWidth-((64+Skip)>>3)	* blit modulo
		dc.w	((37)<<6)|((64+Skip)>>4)	* blit size
		dc.w	(64/8)*37			* blit nextplane
		dc.b	0,0				* sample pri, killhits
		dc.l	0				* kill award
		dc.l	0				* sample
		dc.l	0				* explode anim
		dc.l	0				* token anim
		dc.l	Exp5_001.raw,Exp5_001.msk,0,0	* frame 1
		dc.l	Exp5_002.raw,Exp5_002.msk,0,0	* frame 2
		dc.l	Exp5_003.raw,Exp5_003.msk,0,0	* frame 3
		dc.l	Exp5_004.raw,Exp5_004.msk,0,0	* frame 4
		dc.l	Exp5_005.raw,Exp5_005.msk,0,0	* frame 5
		dc.l	Exp5_006.raw,Exp5_006.msk,0,0	* frame 5
		dc.l	Exp5_007.raw,Exp5_007.msk,0,0	* frame 5
		dc.l	Exp5_008.raw,Exp5_008.msk,0,0	* frame 5
		dc.l	Exp5_009.raw,Exp5_009.msk,0,0	* frame 5
		dc.l	Exp5_010.raw,Exp5_010.msk,0,0	* frame 5
		dc.l	Exp5_011.raw,Exp5_011.msk,0,0	* frame 5
		dc.l	Exp5_012.raw,Exp5_012.msk,0,0	* frame 5
		dc.l	Exp5_013.raw,Exp5_013.msk,0,0	* frame 5
		dc.l	Exp5_014.raw,Exp5_014.msk,0,0	* frame 5
		dc.l	Exp5_015.raw,Exp5_015.msk,0,0	* frame 5
		dc.l	Exp5_016.raw,Exp5_016.msk,0,0	* frame 5
		dc.l	Exp5_017.raw,Exp5_017.msk,0,0	* frame 5
		dc.l	Exp5_018.raw,Exp5_018.msk,0,0	* frame 5
		dc.l	Exp5_019.raw,Exp5_019.msk,0,0	* frame 5
		dc.l	Exp5_020.raw,Exp5_020.msk,0,0	* frame 5
		dc.l	Exp5_021.raw,Exp5_021.msk,0,0	* frame 5
		dc.l	0				* end of anim

Explode32x16:	dc.w	32,16,4-1			* width,height,depth
		dc.w	ScrByteWidth-((32+Skip)>>3)	* blit modulo
		dc.w	((16)<<6)|((32+Skip)>>4)	* blit size
		dc.w	(32/8)*16			* blit nextplane
		dc.b	0,0				* sample pri, killhits
		dc.l	0				* kill award
		dc.l	0				* sample
		dc.l	0				* explode anim
		dc.l	0				* token anim
		dc.l	Exp4_001.raw,Exp4_001.msk,0,0	* frame 1
		dc.l	Exp4_001.raw,Exp4_001.msk,0,0	* frame 1
		dc.l	Exp4_002.raw,Exp4_002.msk,0,0	* frame 2
		dc.l	Exp4_002.raw,Exp4_002.msk,0,0	* frame 2
		dc.l	Exp4_003.raw,Exp4_003.msk,0,0	* frame 3
		dc.l	Exp4_003.raw,Exp4_003.msk,0,0	* frame 3
		dc.l	Exp4_004.raw,Exp4_004.msk,0,0	* frame 4
		dc.l	Exp4_004.raw,Exp4_004.msk,0,0	* frame 4
		dc.l	Exp4_005.raw,Exp4_005.msk,0,0	* frame 5
		dc.l	Exp4_005.raw,Exp4_005.msk,0,0	* frame 5
		dc.l	Exp4_006.raw,Exp4_006.msk,0,0	* frame 5
		dc.l	Exp4_006.raw,Exp4_006.msk,0,0	* frame 5
		dc.l	Exp4_007.raw,Exp4_007.msk,0,0	* frame 5
		dc.l	Exp4_007.raw,Exp4_007.msk,0,0	* frame 5
		dc.l	Exp4_008.raw,Exp4_008.msk,0,0	* frame 5
		dc.l	Exp4_008.raw,Exp4_008.msk,0,0	* frame 5
		dc.l	Exp4_009.raw,Exp4_009.msk,0,0	* frame 5
		dc.l	Exp4_009.raw,Exp4_009.msk,0,0	* frame 5
		dc.l	Exp4_010.raw,Exp4_010.msk,0,0	* frame 5
		dc.l	Exp4_010.raw,Exp4_010.msk,0,0	* frame 5
		dc.l	Exp4_011.raw,Exp4_011.msk,0,0	* frame 5
		dc.l	Exp4_011.raw,Exp4_011.msk,0,0	* frame 5
		dc.l	Exp4_012.raw,Exp4_012.msk,0,0	* frame 5
		dc.l	Exp4_012.raw,Exp4_012.msk,0,0	* frame 5
		dc.l	Exp4_013.raw,Exp4_013.msk,0,0	* frame 5
		dc.l	Exp4_013.raw,Exp4_013.msk,0,0	* frame 5
		dc.l	Exp4_014.raw,Exp4_014.msk,0,0	* frame 5
		dc.l	Exp4_014.raw,Exp4_014.msk,0,0	* frame 5
		dc.l	Exp4_015.raw,Exp4_015.msk,0,0	* frame 5
		dc.l	Exp4_015.raw,Exp4_015.msk,0,0	* frame 5
		dc.l	Exp4_016.raw,Exp4_016.msk,0,0	* frame 5
		dc.l	Exp4_016.raw,Exp4_016.msk,0,0	* frame 5
		dc.l	Exp4_017.raw,Exp4_017.msk,0,0	* frame 5
		dc.l	Exp4_017.raw,Exp4_017.msk,0,0	* frame 5
		dc.l	Exp4_018.raw,Exp4_018.msk,0,0	* frame 5
		dc.l	Exp4_018.raw,Exp4_018.msk,0,0	* frame 5
		dc.l	Exp4_019.raw,Exp4_019.msk,0,0	* frame 5
		dc.l	Exp4_019.raw,Exp4_019.msk,0,0	* frame 5
		dc.l	Exp4_020.raw,Exp4_020.msk,0,0	* frame 5
		dc.l	Exp4_020.raw,Exp4_020.msk,0,0	* frame 5
		dc.l	Exp4_021.raw,Exp4_021.msk,0,0	* frame 5
		dc.l	Exp4_021.raw,Exp4_021.msk,0,0	* frame 5
		dc.l	0				* end of anim

Explode32x27:	dc.w	32,27,4-1			* width,height,depth
		dc.w	ScrByteWidth-((32+Skip)>>3)	* blit modulo
		dc.w	((27)<<6)|((32+Skip)>>4)	* blit size
		dc.w	(32/8)*27			* blit nextplane
		dc.b	0,0				* sample pri, killhits
		dc.l	0				* kill award
		dc.l	0				* sample
		dc.l	0				* explode anim
		dc.l	0				* token anim
		dc.l	Exp3_001.raw,Exp3_001.msk,0,0	* frame 1
		dc.l	Exp3_002.raw,Exp3_002.msk,0,0	* frame 2
		dc.l	Exp3_003.raw,Exp3_003.msk,0,0	* frame 3
		dc.l	Exp3_004.raw,Exp3_004.msk,0,0	* frame 4
		dc.l	Exp3_005.raw,Exp3_005.msk,0,0	* frame 5
		dc.l	Exp3_006.raw,Exp3_006.msk,0,0	* frame 5
		dc.l	Exp3_007.raw,Exp3_007.msk,0,0	* frame 5
		dc.l	Exp3_008.raw,Exp3_008.msk,0,0	* frame 5
		dc.l	Exp3_009.raw,Exp3_009.msk,0,0	* frame 5
		dc.l	Exp3_010.raw,Exp3_010.msk,0,0	* frame 5
		dc.l	Exp3_011.raw,Exp3_011.msk,0,0	* frame 5
		dc.l	Exp3_012.raw,Exp3_012.msk,0,0	* frame 5
		dc.l	Exp3_013.raw,Exp3_013.msk,0,0	* frame 5
		dc.l	Exp3_014.raw,Exp3_014.msk,0,0	* frame 5
		dc.l	Exp3_015.raw,Exp3_015.msk,0,0	* frame 5
		dc.l	Exp3_016.raw,Exp3_016.msk,0,0	* frame 5
		dc.l	Exp3_017.raw,Exp3_017.msk,0,0	* frame 5
		dc.l	Exp3_018.raw,Exp3_018.msk,0,0	* frame 5
		dc.l	Exp3_019.raw,Exp3_019.msk,0,0	* frame 5
		dc.l	Exp3_020.raw,Exp3_020.msk,0,0	* frame 5
		dc.l	Exp3_021.raw,Exp3_021.msk,0,0	* frame 5
		dc.l	0				* end of anim

Explode64x21:	dc.w	64,21,4-1			* width,height,depth
		dc.w	ScrByteWidth-((64+Skip)>>3)	* blit modulo
		dc.w	((21)<<6)|((64+Skip)>>4)	* blit size
		dc.w	(64/8)*21			* blit nextplane
		dc.b	0,0				* sample pri, killhits
		dc.l	0				* kill award
		dc.l	0				* sample
		dc.l	0				* explode anim
		dc.l	0				* token anim
		dc.l	Exp2_001.raw,Exp2_001.msk,0,0	* frame 1
		dc.l	Exp2_001.raw,Exp2_001.msk,0,0	* frame 1
		dc.l	Exp2_002.raw,Exp2_002.msk,0,0	* frame 2
		dc.l	Exp2_002.raw,Exp2_002.msk,0,0	* frame 2
		dc.l	Exp2_003.raw,Exp2_003.msk,0,0	* frame 3
		dc.l	Exp2_003.raw,Exp2_003.msk,0,0	* frame 3
		dc.l	Exp2_004.raw,Exp2_004.msk,0,0	* frame 4
		dc.l	Exp2_004.raw,Exp2_004.msk,0,0	* frame 4
		dc.l	Exp2_005.raw,Exp2_005.msk,0,0	* frame 5
		dc.l	Exp2_005.raw,Exp2_005.msk,0,0	* frame 5
		dc.l	Exp2_006.raw,Exp2_006.msk,0,0	* frame 5
		dc.l	Exp2_006.raw,Exp2_006.msk,0,0	* frame 5
		dc.l	Exp2_007.raw,Exp2_007.msk,0,0	* frame 5
		dc.l	Exp2_007.raw,Exp2_007.msk,0,0	* frame 5
		dc.l	Exp2_008.raw,Exp2_008.msk,0,0	* frame 5
		dc.l	Exp2_008.raw,Exp2_008.msk,0,0	* frame 5
		dc.l	Exp2_009.raw,Exp2_009.msk,0,0	* frame 5
		dc.l	Exp2_009.raw,Exp2_009.msk,0,0	* frame 5
		dc.l	Exp2_010.raw,Exp2_010.msk,0,0	* frame 5
		dc.l	Exp2_010.raw,Exp2_010.msk,0,0	* frame 5
		dc.l	Exp2_011.raw,Exp2_011.msk,0,0	* frame 5
		dc.l	Exp2_011.raw,Exp2_011.msk,0,0	* frame 5
		dc.l	Exp2_012.raw,Exp2_012.msk,0,0	* frame 5
		dc.l	Exp2_012.raw,Exp2_012.msk,0,0	* frame 5
		dc.l	Exp2_013.raw,Exp2_013.msk,0,0	* frame 5
		dc.l	Exp2_013.raw,Exp2_013.msk,0,0	* frame 5
		dc.l	Exp2_014.raw,Exp2_014.msk,0,0	* frame 5
		dc.l	Exp2_014.raw,Exp2_014.msk,0,0	* frame 5
		dc.l	Exp2_015.raw,Exp2_015.msk,0,0	* frame 5
		dc.l	Exp2_015.raw,Exp2_015.msk,0,0	* frame 5
		dc.l	Exp2_016.raw,Exp2_016.msk,0,0	* frame 5
		dc.l	Exp2_016.raw,Exp2_016.msk,0,0	* frame 5
		dc.l	Exp2_017.raw,Exp2_017.msk,0,0	* frame 5
		dc.l	Exp2_017.raw,Exp2_017.msk,0,0	* frame 5
		dc.l	Exp2_018.raw,Exp2_018.msk,0,0	* frame 5
		dc.l	Exp2_018.raw,Exp2_018.msk,0,0	* frame 5
		dc.l	Exp2_019.raw,Exp2_019.msk,0,0	* frame 5
		dc.l	Exp2_019.raw,Exp2_019.msk,0,0	* frame 5
		dc.l	Exp2_020.raw,Exp2_020.msk,0,0	* frame 5
		dc.l	Exp2_020.raw,Exp2_020.msk,0,0	* frame 5
		dc.l	Exp2_021.raw,Exp2_021.msk,0,0	* frame 5
		dc.l	0				* end of anim

Explode64x64:	dc.w	64,64,4-1			* width,height,depth
		dc.w	ScrByteWidth-((64+Skip)>>3)	* blit modulo
		dc.w	((64)<<6)|((64+Skip)>>4)	* blit size
		dc.w	(64/8)*64			* blit nextplane
		dc.b	0,0				* sample pri, killhits
		dc.l	0				* kill award
		dc.l	0				* sample
		dc.l	0				* explode anim
		dc.l	0				* token anim
		dc.l	Exp1_001.raw,Exp1_001.msk,0,0	* frame 1
		dc.l	Exp1_002.raw,Exp1_002.msk,0,0	* frame 2
		dc.l	Exp1_003.raw,Exp1_003.msk,0,0	* frame 3
		dc.l	Exp1_004.raw,Exp1_004.msk,0,0	* frame 4
		dc.l	Exp1_005.raw,Exp1_005.msk,0,0	* frame 5
		dc.l	Exp1_006.raw,Exp1_006.msk,0,0	* frame 5
		dc.l	Exp1_007.raw,Exp1_007.msk,0,0	* frame 5
		dc.l	Exp1_008.raw,Exp1_008.msk,0,0	* frame 5
		dc.l	Exp1_009.raw,Exp1_009.msk,0,0	* frame 5
		dc.l	Exp1_010.raw,Exp1_010.msk,0,0	* frame 5
		dc.l	Exp1_011.raw,Exp1_011.msk,0,0	* frame 5
		dc.l	Exp1_012.raw,Exp1_012.msk,0,0	* frame 5
		dc.l	Exp1_013.raw,Exp1_013.msk,0,0	* frame 5
		dc.l	Exp1_014.raw,Exp1_014.msk,0,0	* frame 5
		dc.l	Exp1_015.raw,Exp1_015.msk,0,0	* frame 5
		dc.l	Exp1_016.raw,Exp1_016.msk,0,0	* frame 5
		dc.l	Exp1_017.raw,Exp1_017.msk,0,0	* frame 5
		dc.l	Exp1_018.raw,Exp1_018.msk,0,0	* frame 5
		dc.l	Exp1_019.raw,Exp1_019.msk,0,0	* frame 5
		dc.l	Exp1_020.raw,Exp1_020.msk,0,0	* frame 5
		dc.l	Exp1_021.raw,Exp1_021.msk,0,0	* frame 5
		dc.l	0				* end of anim



Bullet:		dc.w	16				* anim frame width
		dc.w	5				* anim frame height
		dc.w	4-1				* anim frame depth-1
		dc.w	ScrByteWidth-((16+Skip)>>3)	* blit modulo
		dc.w	((5)<<6)|((16+Skip)>>4)		* blit size
		dc.w	(16/8)*5			* blit nextplane
		dc.b	0,0				* sample pri, kill hits
		dc.l	0				* kill award
		dc.l	0				* sample to play
		dc.l	0				* explode anim
		dc.l	0				* token anim

		dc.l	Bullet001.raw,Bullet001.msk	* frame 1
		dc.w	16,0,05,0			* collision data
		dc.l	Bullet001.raw,Bullet001.msk	* frame 1
		dc.w	16,0,05,0			* collision data
		dc.l	Bullet001.raw,Bullet001.msk	* frame 1
		dc.w	16,0,05,0			* collision data
		dc.l	Bullet001.raw,Bullet001.msk	* frame 1
		dc.w	16,0,05,0			* collision data
		dc.l	Bullet002.raw,Bullet002.msk	* frame 2
		dc.w	16,0,05,0			* collision data
		dc.l	Bullet002.raw,Bullet002.msk	* frame 2
		dc.w	16,0,05,0			* collision data
		dc.l	Bullet002.raw,Bullet002.msk	* frame 2
		dc.w	16,0,05,0			* collision data
		dc.l	Bullet002.raw,Bullet002.msk	* frame 2
		dc.w	16,0,05,0			* collision data
		dc.l	0

Weapon1:	dc.w	16				* anim frame width
		dc.w	7				* anim frame height
		dc.w	4-1				* anim frame depth-1
		dc.w	ScrByteWidth-((16+Skip)>>3)	* blit modulo
		dc.w	((7)<<6)|((16+Skip)>>4)		* blit size
		dc.w	(16/8)*7			* blit nextplane
		dc.b	0,0				* sample pri, kill hits
		dc.l	0				* kill award
		dc.l	0				* sample to play
		dc.l	0				* explode anim
		dc.l	0				* token anim
		dc.l	Weapon001.raw,Weapon001.msk	* frame 1
		dc.w	16,0,07,0			* collision data
		dc.l	0

Weapon2:	dc.w	16				* anim frame width
		dc.w	7				* anim frame height
		dc.w	4-1				* anim frame depth-1
		dc.w	ScrByteWidth-((16+Skip)>>3)	* blit modulo
		dc.w	((7)<<6)|((16+Skip)>>4)		* blit size
		dc.w	(16/8)*7			* blit nextplane
		dc.b	0,0				* sample pri, kill hits
		dc.l	0				* kill award
		dc.l	0				* sample to play
		dc.l	0				* explode anim
		dc.l	0				* token anim
		dc.l	Weapon002.raw,Weapon002.msk	* frame 1
		dc.w	16,0,07,0			* collision data
		dc.l	0

Weapon3:	dc.w	16				* anim frame width
		dc.w	7				* anim frame height
		dc.w	4-1				* anim frame depth-1
		dc.w	ScrByteWidth-((16+Skip)>>3)	* blit modulo
		dc.w	((7)<<6)|((16+Skip)>>4)		* blit size
		dc.w	(16/8)*7			* blit nextplane
		dc.b	0,0				* sample pri, kill hits
		dc.l	0				* kill award
		dc.l	0				* sample to play
		dc.l	0				* explode anim
		dc.l	0				* token anim
		dc.l	Weapon003.raw,Weapon003.msk	* frame 1
		dc.w	16,0,07,0			* collision data
		dc.l	0

Token:		dc.w	32				* anim frame width
		dc.w	16				* anim frame height
		dc.w	4-1				* anim frame depth-1
		dc.w	ScrByteWidth-((32+Skip)>>3)	* blit modulo
		dc.w	((16)<<6)|((32+Skip)>>4)	* blit size
		dc.w	(32/8)*16			* blit nextplane
		dc.b	0,1				* sample pri, kill hits
		dc.l	475				* kill award
		dc.l	0				* sample to play
		dc.l	Explode32x16			* explode anim
		dc.l	0				* toke anim
		dc.l	Token001.raw,Token001.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	Token002.raw,Token002.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	Token003.raw,Token003.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	Token004.raw,Token004.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	Token004.raw,Token004.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	Token005.raw,Token005.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	Token006.raw,Token006.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	Token007.raw,Token007.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	Token008.raw,Token008.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	Token009.raw,Token009.msk	* frame
		dc.w	0,32,0,16			* collision data
		dc.l	0

Bullet001.raw	incbin	"bull1.raw"
Bullet002.raw	incbin	"bull2.raw"
Bullet001.msk	incbin	"bull1.msk"
Bullet002.msk	incbin	"bull2.msk"

Token001.raw	incbin	"Token_000.raw"
Token002.raw	incbin	"Token_001.raw"
Token003.raw	incbin	"Token_002.raw"
Token004.raw	incbin	"Token_003.raw"
Token005.raw	incbin	"Token_004.raw"
Token006.raw	incbin	"Token_005.raw"
Token007.raw	incbin	"Token_006.raw"
Token008.raw	incbin	"Token_007.raw"
Token009.raw	incbin	"Token_008.raw"
Token001.msk	incbin	"Token_000.msk"
Token002.msk	incbin	"Token_001.msk"
Token003.msk	incbin	"Token_002.msk"
Token004.msk	incbin	"Token_003.msk"
Token005.msk	incbin	"Token_004.msk"
Token006.msk	incbin	"Token_005.msk"
Token007.msk	incbin	"Token_006.msk"
Token008.msk	incbin	"Token_007.msk"
Token009.msk	incbin	"Token_008.msk"

Weapon001.msk	incbin	"fr1.msk"
Weapon002.msk	incbin	"fr2.msk"
Weapon003.msk	incbin	"fr3.msk"
Weapon001.raw	incbin	"fr1.raw"
Weapon002.raw	incbin	"fr2.raw"
Weapon003.raw	incbin	"fr3.raw"

Exp5_001.raw	incbin	"Exp5_001.raw"
Exp5_002.raw	incbin	"Exp5_002.raw"
Exp5_003.raw	incbin	"Exp5_003.raw"
Exp5_004.raw	incbin	"Exp5_004.raw"
Exp5_005.raw	incbin	"Exp5_005.raw"
Exp5_006.raw	incbin	"Exp5_006.raw"
Exp5_007.raw	incbin	"Exp5_007.raw"
Exp5_008.raw	incbin	"Exp5_008.raw"
Exp5_009.raw	incbin	"Exp5_009.raw"
Exp5_010.raw	incbin	"Exp5_010.raw"
Exp5_011.raw	incbin	"Exp5_011.raw"
Exp5_012.raw	incbin	"Exp5_012.raw"
Exp5_013.raw	incbin	"Exp5_013.raw"
Exp5_014.raw	incbin	"Exp5_014.raw"
Exp5_015.raw	incbin	"Exp5_015.raw"
Exp5_016.raw	incbin	"Exp5_016.raw"
Exp5_017.raw	incbin	"Exp5_017.raw"
Exp5_018.raw	incbin	"Exp5_018.raw"
Exp5_019.raw	incbin	"Exp5_019.raw"
Exp5_020.raw	incbin	"Exp5_020.raw"
Exp5_021.raw	ds.b	1184
Exp5_001.msk	incbin	"Exp5_001.msk"
Exp5_002.msk	incbin	"Exp5_002.msk"
Exp5_003.msk	incbin	"Exp5_003.msk"
Exp5_004.msk	incbin	"Exp5_004.msk"
Exp5_005.msk	incbin	"Exp5_005.msk"
Exp5_006.msk	incbin	"Exp5_006.msk"
Exp5_007.msk	incbin	"Exp5_007.msk"
Exp5_008.msk	incbin	"Exp5_008.msk"
Exp5_009.msk	incbin	"Exp5_009.msk"
Exp5_010.msk	incbin	"Exp5_010.msk"
Exp5_011.msk	incbin	"Exp5_011.msk"
Exp5_012.msk	incbin	"Exp5_012.msk"
Exp5_013.msk	incbin	"Exp5_013.msk"
Exp5_014.msk	incbin	"Exp5_014.msk"
Exp5_015.msk	incbin	"Exp5_015.msk"
Exp5_016.msk	incbin	"Exp5_016.msk"
Exp5_017.msk	incbin	"Exp5_017.msk"
Exp5_018.msk	incbin	"Exp5_018.msk"
Exp5_019.msk	incbin	"Exp5_019.msk"
Exp5_020.msk	incbin	"Exp5_020.msk"
Exp5_021.msk	ds.b	296

Exp4_001.raw	incbin	"Exp4_001.raw"
Exp4_002.raw	incbin	"Exp4_002.raw"
Exp4_003.raw	incbin	"Exp4_003.raw"
Exp4_004.raw	incbin	"Exp4_004.raw"
Exp4_005.raw	incbin	"Exp4_005.raw"
Exp4_006.raw	incbin	"Exp4_006.raw"
Exp4_007.raw	incbin	"Exp4_007.raw"
Exp4_008.raw	incbin	"Exp4_008.raw"
Exp4_009.raw	incbin	"Exp4_009.raw"
Exp4_010.raw	incbin	"Exp4_010.raw"
Exp4_011.raw	incbin	"Exp4_011.raw"
Exp4_012.raw	incbin	"Exp4_012.raw"
Exp4_013.raw	incbin	"Exp4_013.raw"
Exp4_014.raw	incbin	"Exp4_014.raw"
Exp4_015.raw	incbin	"Exp4_015.raw"
Exp4_016.raw	incbin	"Exp4_016.raw"
Exp4_017.raw	incbin	"Exp4_017.raw"
Exp4_018.raw	incbin	"Exp4_018.raw"
Exp4_019.raw	incbin	"Exp4_019.raw"
Exp4_020.raw	incbin	"Exp4_020.raw"
Exp4_021.raw	ds.b	320
Exp4_001.msk	incbin	"Exp4_001.msk"
Exp4_002.msk	incbin	"Exp4_002.msk"
Exp4_003.msk	incbin	"Exp4_003.msk"
Exp4_004.msk	incbin	"Exp4_004.msk"
Exp4_005.msk	incbin	"Exp4_005.msk"
Exp4_006.msk	incbin	"Exp4_006.msk"
Exp4_007.msk	incbin	"Exp4_007.msk"
Exp4_008.msk	incbin	"Exp4_008.msk"
Exp4_009.msk	incbin	"Exp4_009.msk"
Exp4_010.msk	incbin	"Exp4_010.msk"
Exp4_011.msk	incbin	"Exp4_011.msk"
Exp4_012.msk	incbin	"Exp4_012.msk"
Exp4_013.msk	incbin	"Exp4_013.msk"
Exp4_014.msk	incbin	"Exp4_014.msk"
Exp4_015.msk	incbin	"Exp4_015.msk"
Exp4_016.msk	incbin	"Exp4_016.msk"
Exp4_017.msk	incbin	"Exp4_017.msk"
Exp4_018.msk	incbin	"Exp4_018.msk"
Exp4_019.msk	incbin	"Exp4_019.msk"
Exp4_020.msk	incbin	"Exp4_020.msk"
Exp4_021.msk	ds.b	80

Exp3_001.raw	incbin	"Exp3_001.raw"
Exp3_002.raw	incbin	"Exp3_002.raw"
Exp3_003.raw	incbin	"Exp3_003.raw"
Exp3_004.raw	incbin	"Exp3_004.raw"
Exp3_005.raw	incbin	"Exp3_005.raw"
Exp3_006.raw	incbin	"Exp3_006.raw"
Exp3_007.raw	incbin	"Exp3_007.raw"
Exp3_008.raw	incbin	"Exp3_008.raw"
Exp3_009.raw	incbin	"Exp3_009.raw"
Exp3_010.raw	incbin	"Exp3_010.raw"
Exp3_011.raw	incbin	"Exp3_011.raw"
Exp3_012.raw	incbin	"Exp3_012.raw"
Exp3_013.raw	incbin	"Exp3_013.raw"
Exp3_014.raw	incbin	"Exp3_014.raw"
Exp3_015.raw	incbin	"Exp3_015.raw"
Exp3_016.raw	incbin	"Exp3_016.raw"
Exp3_017.raw	incbin	"Exp3_017.raw"
Exp3_018.raw	incbin	"Exp3_018.raw"
Exp3_019.raw	incbin	"Exp3_019.raw"
Exp3_020.raw	incbin	"Exp3_020.raw"
Exp3_021.raw	ds.b	432
Exp3_001.msk	incbin	"Exp3_001.msk"
Exp3_002.msk	incbin	"Exp3_002.msk"
Exp3_003.msk	incbin	"Exp3_003.msk"
Exp3_004.msk	incbin	"Exp3_004.msk"
Exp3_005.msk	incbin	"Exp3_005.msk"
Exp3_006.msk	incbin	"Exp3_006.msk"
Exp3_007.msk	incbin	"Exp3_007.msk"
Exp3_008.msk	incbin	"Exp3_008.msk"
Exp3_009.msk	incbin	"Exp3_009.msk"
Exp3_010.msk	incbin	"Exp3_010.msk"
Exp3_011.msk	incbin	"Exp3_011.msk"
Exp3_012.msk	incbin	"Exp3_012.msk"
Exp3_013.msk	incbin	"Exp3_013.msk"
Exp3_014.msk	incbin	"Exp3_014.msk"
Exp3_015.msk	incbin	"Exp3_015.msk"
Exp3_016.msk	incbin	"Exp3_016.msk"
Exp3_017.msk	incbin	"Exp3_017.msk"
Exp3_018.msk	incbin	"Exp3_018.msk"
Exp3_019.msk	incbin	"Exp3_019.msk"
Exp3_020.msk	incbin	"Exp3_020.msk"
Exp3_021.msk	ds.b	108

Exp2_001.raw	incbin	"Exp2_001.raw"
Exp2_002.raw	incbin	"Exp2_002.raw"
Exp2_003.raw	incbin	"Exp2_003.raw"
Exp2_004.raw	incbin	"Exp2_004.raw"
Exp2_005.raw	incbin	"Exp2_005.raw"
Exp2_006.raw	incbin	"Exp2_006.raw"
Exp2_007.raw	incbin	"Exp2_007.raw"
Exp2_008.raw	incbin	"Exp2_008.raw"
Exp2_009.raw	incbin	"Exp2_009.raw"
Exp2_010.raw	incbin	"Exp2_010.raw"
Exp2_011.raw	incbin	"Exp2_011.raw"
Exp2_012.raw	incbin	"Exp2_012.raw"
Exp2_013.raw	incbin	"Exp2_013.raw"
Exp2_014.raw	incbin	"Exp2_014.raw"
Exp2_015.raw	incbin	"Exp2_015.raw"
Exp2_016.raw	incbin	"Exp2_016.raw"
Exp2_017.raw	incbin	"Exp2_017.raw"
Exp2_018.raw	incbin	"Exp2_018.raw"
Exp2_019.raw	incbin	"Exp2_019.raw"
Exp2_020.raw	incbin	"Exp2_020.raw"
Exp2_021.raw	ds.b	672
Exp2_001.msk	incbin	"Exp2_001.msk"
Exp2_002.msk	incbin	"Exp2_002.msk"
Exp2_003.msk	incbin	"Exp2_003.msk"
Exp2_004.msk	incbin	"Exp2_004.msk"
Exp2_005.msk	incbin	"Exp2_005.msk"
Exp2_006.msk	incbin	"Exp2_006.msk"
Exp2_007.msk	incbin	"Exp2_007.msk"
Exp2_008.msk	incbin	"Exp2_008.msk"
Exp2_009.msk	incbin	"Exp2_009.msk"
Exp2_010.msk	incbin	"Exp2_010.msk"
Exp2_011.msk	incbin	"Exp2_011.msk"
Exp2_012.msk	incbin	"Exp2_012.msk"
Exp2_013.msk	incbin	"Exp2_013.msk"
Exp2_014.msk	incbin	"Exp2_014.msk"
Exp2_015.msk	incbin	"Exp2_015.msk"
Exp2_016.msk	incbin	"Exp2_016.msk"
Exp2_017.msk	incbin	"Exp2_017.msk"
Exp2_018.msk	incbin	"Exp2_018.msk"
Exp2_019.msk	incbin	"Exp2_019.msk"
Exp2_020.msk	incbin	"Exp2_020.msk"
Exp2_021.msk	ds.b	168

Exp1_001.raw	incbin	"Exp1_001.raw"
Exp1_002.raw	incbin	"Exp1_002.raw"
Exp1_003.raw	incbin	"Exp1_003.raw"
Exp1_004.raw	incbin	"Exp1_004.raw"
Exp1_005.raw	incbin	"Exp1_005.raw"
Exp1_006.raw	incbin	"Exp1_006.raw"
Exp1_007.raw	incbin	"Exp1_007.raw"
Exp1_008.raw	incbin	"Exp1_008.raw"
Exp1_009.raw	incbin	"Exp1_009.raw"
Exp1_010.raw	incbin	"Exp1_010.raw"
Exp1_011.raw	incbin	"Exp1_011.raw"
Exp1_012.raw	incbin	"Exp1_012.raw"
Exp1_013.raw	incbin	"Exp1_013.raw"
Exp1_014.raw	incbin	"Exp1_014.raw"
Exp1_015.raw	incbin	"Exp1_015.raw"
Exp1_016.raw	incbin	"Exp1_016.raw"
Exp1_017.raw	incbin	"Exp1_017.raw"
Exp1_018.raw	incbin	"Exp1_018.raw"
Exp1_019.raw	incbin	"Exp1_019.raw"
Exp1_020.raw	incbin	"Exp1_020.raw"
Exp1_021.raw	ds.b	928
Exp1_001.msk	incbin	"Exp1_001.msk"
Exp1_002.msk	incbin	"Exp1_002.msk"
Exp1_003.msk	incbin	"Exp1_003.msk"
Exp1_004.msk	incbin	"Exp1_004.msk"
Exp1_005.msk	incbin	"Exp1_005.msk"
Exp1_006.msk	incbin	"Exp1_006.msk"
Exp1_007.msk	incbin	"Exp1_007.msk"
Exp1_008.msk	incbin	"Exp1_008.msk"
Exp1_009.msk	incbin	"Exp1_009.msk"
Exp1_010.msk	incbin	"Exp1_010.msk"
Exp1_011.msk	incbin	"Exp1_011.msk"
Exp1_012.msk	incbin	"Exp1_012.msk"
Exp1_013.msk	incbin	"Exp1_013.msk"
Exp1_014.msk	incbin	"Exp1_014.msk"
Exp1_015.msk	incbin	"Exp1_015.msk"
Exp1_016.msk	incbin	"Exp1_016.msk"
Exp1_017.msk	incbin	"Exp1_017.msk"
Exp1_018.msk	incbin	"Exp1_018.msk"
Exp1_019.msk	incbin	"Exp1_019.msk"
Exp1_020.msk	incbin	"Exp1_020.msk"
Exp1_021.msk	ds.b	232

Aero:		dc.w	64				* anim frame width
		dc.w	20				* anim frame height
		dc.w	4-1				* anim frame depth-1
		dc.w	ScrByteWidth-((64+Skip)>>3)	* blit modulo
		dc.w	((20)<<6)|((64+Skip)>>4)	* blit size
		dc.w	(64/8)*20			* blit nextplane
		dc.b	0,1				* sample pri, kill hits
		dc.l	450				* kill award
		dc.l	0				* sample to play
		dc.l	Explode64x21			* explode anim
		dc.l	0				* token anim
		dc.l	Aero001.raw,Aero001.msk		* frame 1
		dc.w	64,0,20,0			* collision data
		dc.l	Aero001.raw,Aero001.msk		* frame 1
		dc.w	64,0,20,0			* collision data
		dc.l	Aero001.raw,Aero001.msk		* frame 1
		dc.w	64,0,20,0			* collision data
		dc.l	Aero001.raw,Aero001.msk		* frame 1
		dc.w	64,0,20,0			* collision data
		dc.l	Aero002.raw,Aero002.msk		* frame 2
		dc.w	64,0,20,0			* collision data
		dc.l	Aero002.raw,Aero002.msk		* frame 2
		dc.w	64,0,20,0			* collision data
		dc.l	Aero002.raw,Aero002.msk		* frame 2
		dc.w	64,0,20,0			* collision data
		dc.l	Aero002.raw,Aero002.msk		* frame 2
		dc.w	64,0,20,0			* collision data
		dc.l	0

Aero001.raw:	incbin	'coding:EnigmaAnims/Lev4/aero_000.raw'
Aero001.msk:	incbin	'coding:EnigmaAnims/Lev4/aero_000.msk'
Aero002.raw:	incbin	'coding:EnigmaAnims/Lev4/aero_001.raw'
Aero002.msk:	incbin	'coding:EnigmaAnims/Lev4/aero_001.msk'
